Return one entitlement ledger row.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/ledger/example"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/ledger/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entitlement-operations/ledger/exampleAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Ledger detail row with resource context.
object
Compact customer-owned entity instance reference.
object
Issued resource snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
object
object
object
object
Example
{ "Data": { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Ledger detail row with resource context.
object
Compact customer-owned entity instance reference.
object
Issued resource snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
object
object
object
object
Example
{ "Data": { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}